Public Class MyGTAPIEnv
    Inherits GTAPIASM.GTAPIEnv
    Public mainForm As PhoneForm

    Public Overrides Sub On_RecvConnected(ByVal ch As Integer)
        MyBase.On_RecvConnected(ch)
        mainForm.On_RecvConnected(ch)
    End Sub

    Public Overrides Sub On_RecvOffered(ByVal ch As Integer, ByVal sCaller As String, ByVal sCallee As String, ByVal sDestAddr As String, ByVal sViaAddr As String, ByVal sFromIP As String, _
     ByVal nFromPort As UShort)
        MyBase.On_RecvOffered(ch, sCaller, sCallee, sDestAddr, sViaAddr, sFromIP, _
         nFromPort)
        mainForm.On_RecvOffered(ch, sCaller, sCallee, sDestAddr, sViaAddr, sFromIP, _
         nFromPort)

    End Sub

    Public Overrides Sub On_RecvDialing(ByVal ch As Integer, ByVal sCaller As String, ByVal sCallee As String)
        MyBase.On_RecvDialing(ch, sCaller, sCallee)
        mainForm.On_RecvDialing(ch, sCaller, sCallee)
    End Sub

    Public Overrides Sub On_RecvRinging(ByVal ch As Integer)
        MyBase.On_RecvRinging(ch)
        mainForm.On_RecvRinging(ch)
    End Sub

    Public Overrides Sub On_RecvIdle(ByVal ch As Integer, ByVal code As Integer, ByVal desc As String)
        MyBase.On_RecvIdle(ch, code, desc)
        mainForm.On_RecvIdle(ch, code, desc)
    End Sub

    Public Overrides Sub On_RecvRegStatus(ByVal user_id As Integer, ByVal status As Integer, ByVal regtime As Integer)
        MyBase.On_RecvRegStatus(user_id, status, regtime)
        mainForm.On_RecvRegStatus(user_id, status, regtime)
    End Sub

    Public Overrides Sub On_RecvHolding(ByVal ch As Integer, ByVal hold_on As Integer)
        MyBase.On_RecvHolding(ch, hold_on)
        mainForm.On_RecvHolding(ch, hold_on)
    End Sub
End Class